<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.AssignDownloadMapper">

    <update id="updateStatus" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar">
        update itf_tbl_assign_download
        set syn_status = 99,
            syn_time = NOW(),
            syn_err_msg = concat('syn_req_id = ', #{request.synReqId}, '当前任务被忽略')
        where pgid = #{request.pgid} and syn_req_id &lt; #{request.synReqId} and syn_status = 0
    </update>
</mapper>
